net.sourceforge.pmd.cpd

## Class GridBagHelper

- java.lang.Object
- - net.sourceforge.pmd.cpd.GridBagHelper

-     public class GridBagHelper
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GridBagHelper(Container container, double[] weights)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(Component component)`
    `void` | `add(Component component, int width)`
    `void` | `addLabel(String label)`
    `void` | `nextRow()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GridBagHelper

          public GridBagHelper(Container container,
                       double[] weights)

  - ### Method Detail

    - #### add

          public void add(Component component)

    - #### add

          public void add(Component component,
                 int width)

    - #### nextRow

          public void nextRow()

    - #### addLabel

          public void addLabel(String label)

Copyright © 2002-2013 InfoEther. All Rights Reserved.